/*!
 *  Hyphenator 2.5.0 - client side hyphenation for webbrowsers
 *  Copyright (C) 2010  Mathias Nater, Zürich (mathias at mnn dot ch)
 *  Project and Source hosted on http://code.google.com/p/hyphenator/
 * 
 *  This JavaScript code is free software: you can redistribute
 *  it and/or modify it under the terms of the GNU Lesser
 *  General Public License (GNU LGPL) as published by the Free Software
 *  Foundation, either version 3 of the License, or (at your option)
 *  any later version.  The code is distributed WITHOUT ANY WARRANTY;
 *  without even the implied warranty of MERCHANTABILITY or FITNESS
 *  FOR A PARTICULAR PURPOSE.  See the GNU GPL for more details.
 *
 *  As additional permission under GNU GPL version 3 section 7, you
 *  may distribute non-source (e.g., minimized or compacted) forms of
 *  that code without the copy of the GNU GPL normally required by
 *  section 4, provided you include this license notice and a URL
 *  through which recipients can access the Corresponding Source.
 */
var Hyphenator = function () {
    var z = function () {
        for (var a, b = 0, d = "cs, da, bn, de, en, es, fi, fr, gu, hi, hu, hy, it, kn, lt, ml, nl, or, pa, pl, pt, ru, sv, ta, te, tr, uk".split(", "), c = {}; a = d[b++];)c[a] = true;
        return c
    }(), A = {cs:"Jazyk t\u00e9to internetov\u00e9 str\u00e1nky nebyl automaticky rozpozn\u00e1n. Ur\u010dete pros\u00edm jej\u00ed jazyk:", da:"Denne websides sprog kunne ikke bestemmes. Angiv venligst sprog:", de:"Die Sprache dieser Webseite konnte nicht automatisch bestimmt werden. Bitte Sprache angeben:", en:"The language of this website could not be determined automatically. Please indicate the main language:", es:"El idioma del sitio no pudo determinarse autom%E1ticamente. Por favor, indique el idioma principal:", fi:"Sivun kielt%E4 ei tunnistettu automaattisesti. M%E4%E4rit%E4 sivun p%E4%E4kieli:", fr:"La langue de ce site n%u2019a pas pu %EAtre d%E9termin%E9e automatiquement. Veuillez indiquer une langue, s.v.p.%A0:", hu:"A weboldal nyelv\u00e9t nem siker\u00fclt automatikusan meg\u00e1llap\u00edtani. K\u00e9rem adja meg a nyelvet:", hy:"\u0549\u0570\u0561\u057b\u0578\u0572\u057e\u0565\u0581 \u0570\u0561\u0575\u057f\u0576\u0561\u0562\u0565\u0580\u0565\u056c \u0561\u0575\u057d \u056f\u0561\u0575\u0584\u056b \u056c\u0565\u0566\u0578\u0582\u0576\u0589 \u053d\u0576\u0564\u0580\u0578\u0582\u0574 \u0565\u0576\u0584 \u0576\u0577\u0565\u0584 \u0570\u056b\u0574\u0576\u0561\u056f\u0561\u0576 \u056c\u0565\u0566\u0578\u0582\u0576\u055d", it:"Lingua del sito sconosciuta. Indicare una lingua, per favore:", lt:"Nepavyko automati\u0161kai nustatyti \u0161ios svetain\u0117s kalbos. Pra\u0161ome \u012fvesti kalb\u0105:", ml:"\u0d08 \u0d35\u0d46%u0D2C%u0D4D%u200C\u0d38\u0d48\u0d31\u0d4d\u0d31\u0d3f\u0d28\u0d4d\u0d31\u0d46 \u0d2d\u0d3e\u0d37 \u0d15\u0d23\u0d4d\u0d1f\u0d41\u0d2a\u0d3f\u0d1f\u0d3f\u0d2f\u0d4d\u0d15\u0d4d\u0d15\u0d3e%u0D28%u0D4D%u200D \u0d15\u0d34\u0d3f\u0d1e\u0d4d\u0d1e\u0d3f\u0d32\u0d4d\u0d32. \u0d2d\u0d3e\u0d37 \u0d0f\u0d24\u0d3e\u0d23\u0d46\u0d28\u0d4d\u0d28\u0d41 \u0d24\u0d3f\u0d30\u0d1e\u0d4d\u0d1e\u0d46\u0d1f\u0d41\u0d15\u0d4d\u0d15\u0d41\u0d15:", nl:"De taal van deze website kan niet automatisch worden bepaald. Geef de hoofdtaal op:", pt:"A l\u00edngua deste site n\u00e3o p\u00f4de ser determinada automaticamente. Por favor indique a l\u00edngua principal:", ru:"\u042f\u0437\u044b\u043a \u044d\u0442\u043e\u0433\u043e \u0441\u0430\u0439\u0442\u0430 \u043d\u0435 \u043c\u043e\u0436\u0435\u0442 \u0431\u044b\u0442\u044c \u043e\u043f\u0440\u0435\u0434\u0435\u043b\u0435\u043d \u0430\u0432\u0442\u043e\u043c\u0430\u0442\u0438\u0447\u0435\u0441\u043a\u0438. \u041f\u043e\u0436\u0430\u043b\u0443\u0439\u0441\u0442\u0430 \u0443\u043a\u0430\u0436\u0438\u0442\u0435 \u044f\u0437\u044b\u043a:", sv:"Spr%E5ket p%E5 den h%E4r webbplatsen kunde inte avg%F6ras automatiskt. V%E4nligen ange:", tr:"Bu web sitesinin dilini otomatik olarak tespit edilememi\u015ftir. L\u00fctfen ana dili g\u00f6sterir:", uk:"\u041c\u043e\u0432\u0430 \u0446\u044c\u043e\u0433\u043e \u0432\u0435\u0431-\u0441\u0430\u0439\u0442\u0443 \u043d\u0435 \u043c\u043e\u0436\u0435 \u0431\u0443\u0442\u0438 \u0432\u0438\u0437\u043d\u0430\u0447\u0435\u043d\u0430 \u0430\u0432\u0442\u043e\u043c\u0430\u0442\u0438\u0447\u043d\u043e. \u0411\u0443\u0434\u044c \u043b\u0430\u0441\u043a\u0430, \u0432\u043a\u0430\u0436\u0456\u0442\u044c \u0433\u043e\u043b\u043e\u0432\u043d\u0443 \u043c\u043e\u0432\u0443:"}, K = function () {
        for (var a = document.getElementsByTagName("script"), b = 0, d, c; d = a[b++];)if (d.src) {
            c = d.src;
            d = c.indexOf("Hyphenator.js");
            if (d !== -1)return c.substring(0, d)
        }
        return"http://hyphenator.googlecode.com/svn/trunk/"
    }(), $ = function () {
        var a = false;
        if (window.location.href.indexOf(K) !== -1)a = true;
        return a
    }(), q = false, aa = {script:true, code:true, pre:true, img:true, br:true, samp:true, kbd:true, "var":true, abbr:true, acronym:true, sub:true, sup:true, button:true, option:true, label:true, textarea:true}, r = true, B = false, L = true, M = false, C = "hyphenate", s = "donthyphenate", t = 6, N = function () {
        var a = null, b = false, d = document.getElementsByTagName("script"), c, e;
        c = 0;
        for (e = d.length; c < e; c++) {
            if (d[c].getAttribute("src"))a = d[c].getAttribute("src");
            if (a)if (a.indexOf("Hyphenator.js?bm=true") !== -1)b = true
        }
        return b
    }(), j = null, o = [], k = {}, l = {}, m = 0, O = new RegExp("((\\w*://)?((\\w*:)?(\\w*)@)?((([\\d]{1,3}\\.){3}([\\d]{1,3}))|((www\\.|[a-zA-Z]\\.)?[a-zA-Z0-9\\-\\.]+\\.([a-z]{2,4})))(:\\d*)?(/[\\w#!:\\.?\\+=&%@!\\-]*)*)|([\\w-\\.]+@[\\w\\.]+)", "i"), P = function () {
        var a, b = navigator.userAgent.toLowerCase();
        a = String.fromCharCode(8203);
        if (b.indexOf("msie 6") !== -1)a = "";
        if (b.indexOf("opera") !== -1 && b.indexOf("version/10.00") !== -1)a = "";
        return a
    }(), D = function (a) {
        if (document.createElementNS)return document.createElementNS("http://www.w3.org/1999/xhtml", a); else if (document.createElement)return document.createElement(a)
    }, Q = function () {
    }, n = function (a) {
        window.alert("Hyphenator.js says:\n\nAn Error ocurred:\n" + a.message)
    }, R = function () {
        var a, b = [], d, c;
        if (document.getElementsByClassName)b = document.getElementsByClassName(C); else {
            a = document.getElementsByTagName("*");
            c = a.length;
            for (d = 0; d < c; d++)a[d].className.indexOf(C) !== -1 && a[d].className.indexOf(s) === -1 && b.push(a[d])
        }
        return b
    }, E = "hidden", p = String.fromCharCode(173), S = P, F = function () {
        var a = {}, b = "HyphenatorExpando_" + Math.random(), d = 0;
        return{getDataForElem:function (c) {
            return a[c[b]]
        }, setDataForElem:function (c, e) {
            var f;
            if (c[b] && c[b] !== "")f = c[b]; else {
                f = d++;
                c[b] = f
            }
            a[f] = e
        }, appendDataForElem:function (c, e) {
            var f;
            for (f in e)if (e.hasOwnProperty(f))a[c[b]][f] = e[f]
        }, delDataOfElem:function (c) {
            delete a[c[b]]
        }}
    }(), ba = function (a, b) {
        function d() {
            if (!q) {
                q = true;
                b()
            }
        }

        function c() {
            try {
                document.documentElement.doScroll("left")
            } catch (h) {
                setTimeout(c, 1);
                return
            }
            d()
        }

        var e, f;
        if (q)b(); else {
            if (document.addEventListener)e = function () {
                document.removeEventListener("DOMContentLoaded", e, false);
                d()
            }; else if (document.attachEvent)e = function () {
                if (document.readyState === "complete") {
                    document.detachEvent("onreadystatechange", e);
                    d()
                }
            };
            if (document.addEventListener) {
                document.addEventListener("DOMContentLoaded", e, false);
                window.addEventListener("load", d, false)
            } else if (document.attachEvent) {
                document.attachEvent("onreadystatechange", e);
                window.attachEvent("onload", d);
                f = false;
                try {
                    f = window.frameElement === null
                } catch (g) {
                }
                document.documentElement.doScroll && f && c()
            }
        }
    }, G = function (a, b) {
        if (a.getAttribute("lang"))return a.getAttribute("lang").substring(0, 2).toLowerCase();
        try {
            if (a.getAttribute("xml:lang"))return a.getAttribute("xml:lang").substring(0, 2).toLowerCase()
        } catch (d) {
        }
        if (a.tagName !== "HTML")return G(a.parentNode, true);
        if (b)return j;
        return null
    }, ca = function () {
        var a, b, d = 0, c = function (e, f, g) {
            var h = 0, i = {};
            if (f && E === "hidden") {
                i.hasOwnStyle = e.getAttribute("style") ? true : false;
                i.isHidden = true;
                e.style.visibility = "hidden"
            }
            i.language = e.lang && typeof e.lang === "string" ? e.lang.toLowerCase() : g ? g.toLowerCase() : G(e, true);
            g = i.language;
            if (z[g])l[g] = true; else Hyphenator.isBookmarklet() || n(new Error("Language " + g + " is not yet supported."));
            F.setDataForElem(e, i);
            for (o.push(e); f = e.childNodes[h++];)f.nodeType === 1 && !aa[f.nodeName.toLowerCase()] && f.className.indexOf(s) === -1 && !(f in a) && c(f, false, g)
        };
        if (Hyphenator.isBookmarklet()) {
            a = document.getElementsByTagName("body")[0];
            c(a, false, j)
        } else for (a = R(); b = a[d++];)c(b, true);
        if (Hyphenator.languages.hasOwnProperty(j))Hyphenator.languages[j].prepared || (l[j] = true); else l[j] = true;
        o.length > 0 && F.appendDataForElem(o[o.length - 1], {isLast:true})
    }, da = function (a) {
        var b, d;
        if (z[a] && !Hyphenator.languages[a]) {
            b = K + "patterns/" + a + ".js";
            if ($ && !N) {
                d = null;
                if (typeof XMLHttpRequest !== "undefined")d = new XMLHttpRequest;
                if (!d)try {
                    d = new ActiveXObject("Msxml2.XMLHTTP")
                } catch (c) {
                    d = null
                }
                if (d) {
                    d.open("HEAD", b, false);
                    d.setRequestHeader("Cache-Control", "no-cache");
                    d.send(null);
                    if (d.status === 404) {
                        n(new Error("Could not load\n" + b));
                        delete l[a];
                        return
                    }
                }
            }
            if (D) {
                a = document.getElementsByTagName("head").item(0);
                d = D("script");
                d.src = b;
                d.type = "text/javascript";
                a.appendChild(d)
            }
        }
    }, H = function (a) {
        var b = Hyphenator.languages[a];
        if (!b.prepared) {
            if (r)b.cache = {};
            if (B)b.redPatSet = {};
            if (b.hasOwnProperty("exceptions")) {
                Hyphenator.addExceptions(a, b.exceptions);
                delete b.exceptions
            }
            if (k.hasOwnProperty("global"))if (k.hasOwnProperty(a))k[a] += ", " + k.global; else k[a] = k.global;
            if (k.hasOwnProperty(a)) {
                var d = k[a].split(", "), c = {}, e, f, g;
                e = 0;
                for (f = d.length; e < f; e++) {
                    g = d[e].replace(/-/g, "");
                    c.hasOwnProperty(g) || (c[g] = d[e])
                }
                b.exceptions = c;
                delete k[a]
            } else b.exceptions = {};
            var h;
            g = {};
            c = Hyphenator.languages[a].patterns;
            for (h in c)if (c.hasOwnProperty(h)) {
                h = parseInt(h, 10);
                for (d = 0; e = c[h].substr(d, h);) {
                    f = e.replace(/\d/g, "");
                    g[f] = e;
                    d += h
                }
            }
            Hyphenator.languages[a].patterns = g;
            Hyphenator.languages[a].patternsConverted = true;
            a = "[\\w" + b.specialChars + "@" + String.fromCharCode(173) + "-]{" + t + ",}";
            b.genRegExp = new RegExp("((\\w*://)?((\\w*:)?(\\w*)@)?((([\\d]{1,3}\\.){3}([\\d]{1,3}))|((www\\.|[a-zA-Z]\\.)?[a-zA-Z0-9\\-\\.]+\\.([a-z]{2,4})))(:\\d*)?(/[\\w#!:\\.?\\+=&%@!\\-]*)*)|([\\w-\\.]+@[\\w\\.]+)|(" + a + ")", "gi");
            b.prepared = true
        }
    }, ea = function (a) {
        var b, d = true, c;
        if (L) {
            m = 1;
            for (b in l)if (l.hasOwnProperty(b)) {
                da(b);
                d = false
            }
            if (d) {
                m = 2;
                a()
            } else c = window.setInterval(function () {
                var e = false, f;
                for (f in l)if (l.hasOwnProperty(f))if (Hyphenator.languages[f]) {
                    e = true;
                    delete l[f];
                    H(f)
                } else {
                    e = false;
                    break
                }
                if (e) {
                    window.clearInterval(c);
                    m = 2;
                    a()
                }
            }, 100)
        } else {
            for (b in Hyphenator.languages)Hyphenator.languages.hasOwnProperty(b) && H(b);
            m = 2;
            a()
        }
    }, u = function (a) {
        var b, d, c, e;
        if (b = document.getElementById("HyphenatorToggleBox"))b.firstChild.data = a ? "Hy-phe-na-ti-on" : "Hyphenation"; else {
            a = document.getElementsByTagName("body")[0];
            b = D("div");
            d = document.createAttribute("id");
            d.nodeValue = "HyphenatorToggleBox";
            e = document.createAttribute("class");
            e.nodeValue = s;
            c = document.createTextNode("Hy-phe-na-ti-on");
            b.appendChild(c);
            b.setAttributeNode(d);
            b.setAttributeNode(e);
            b.onclick = Hyphenator.toggleHyphenation;
            b.style.position = "absolute";
            b.style.top = "0px";
            b.style.right = "0px";
            b.style.margin = "0";
            b.style.backgroundColor = "#AAAAAA";
            b.style.color = "#FFFFFF";
            b.style.font = "6pt Arial";
            b.style.letterSpacing = "0.2em";
            b.style.padding = "3px";
            b.style.cursor = "pointer";
            b.style.WebkitBorderBottomLeftRadius = "4px";
            b.style.MozBorderRadiusBottomleft = "4px";
            a.appendChild(b)
        }
    }, J = function (a, b) {
        var d = Hyphenator.languages[a], c, e, f, g, h, i, T, v, w = false, U, x, I, y, V, W;
        if (b === "")return"";
        if (b.indexOf(p) !== -1)return b;
        if (r && d.cache.hasOwnProperty(b))return d.cache[b];
        if (d.exceptions.hasOwnProperty(b))return d.exceptions[b].replace(/-/g, p);
        if (b.indexOf("-") !== -1) {
            d = b.split("-");
            c = 0;
            for (e = d.length; c < e; c++)d[c] = J(a, d[c]);
            return d.join("-")
        }
        f = "_" + b + "_";
        g = f.length;
        e = f.split("");
        f = f.toLowerCase();
        h = [];
        V = {"0":true, "1":true, "2":true, "3":true, "4":true, "5":true, "6":true, "7":true, "8":true, "9":true};
        W = g - d.shortestPattern;
        for (i = 0; i <= W; i++) {
            T = Math.min(g - i, d.longestPattern);
            for (v = d.shortestPattern; v <= T; v++)if (d.patterns.hasOwnProperty(c = f.substr(i, v))) {
                w = d.patterns[c];
                if (B)d.redPatSet[c] = w;
                I = 1;
                U = w.length;
                for (c = 0; c < U; c++) {
                    x = w.charAt(c);
                    if (V[x]) {
                        y = c === 0 ? i - 1 : i + c - I;
                        if (!h[y] || h[y] < x)h[y] = x;
                        I++
                    }
                }
            }
        }
        f = 0;
        for (c = d.leftmin; c <= b.length - d.rightmin; c++)if (h[c] & 1) {
            e.splice(c + f + 1, 0, p);
            f++
        }
        c = e.slice(1, -1).join("");
        if (r)d.cache[b] = c;
        return c
    }, X = function (a) {
        return a.replace(/([:\/\.\?#&_,;!@]+)/gi, "$&" + S)
    }, fa = function (a) {
        var b = F.getDataForElem(a), d = b.language, c, e, f;
        if (Hyphenator.languages.hasOwnProperty(d)) {
            c = function (g) {
                return O.test(g) ? X(g) : J(d, g)
            };
            for (f = 0; e = a.childNodes[f++];)if (e.nodeType === 3 && e.data.length >= t)e.data = e.data.replace(Hyphenator.languages[d].genRegExp, c)
        }
        if (b.isHidden && E === "hidden") {
            a.style.visibility = "visible";
            if (b.hasOwnStyle)if (a.style.removeProperty)a.style.removeProperty("visibility"); else a.style.removeAttribute && a.style.removeAttribute("visibility"); else {
                a.setAttribute("style", "");
                a.removeAttribute("style")
            }
        }
        if (b.isLast) {
            m = 3;
            Q()
        }
    }, Y = function (a) {
        var b, d = 0, c;
        switch (p) {
            case "|":
                b = "\\|";
                break;
            case "+":
                b = "\\+";
                break;
            case "*":
                b = "\\*";
                break;
            default:
                b = p
        }
        for (; c = a.childNodes[d++];)if (c.nodeType === 3) {
            c.data = c.data.replace(new RegExp(b, "g"), "");
            c.data = c.data.replace(new RegExp(P, "g"), "")
        } else c.nodeType === 1 && Y(c)
    }, Z = function () {
        function a(c, e) {
            return function () {
                return c(e)
            }
        }

        for (var b = 0, d; d = o[b++];)window.setTimeout(a(fa, d), 0)
    };
    return{version:"2.5.0", languages:{}, config:function (a) {
        var b = function (c, e) {
            if (typeof a[c] === e)return true; else {
                n(new Error("Config onError: " + c + " must be of type " + e));
                return false
            }
        }, d;
        for (d in a)if (a.hasOwnProperty(d))switch (d) {
            case "classname":
                if (b("classname", "string"))C = a.classname;
                break;
            case "donthyphenateclassname":
                if (b("donthyphenateclassname", "string"))s = a.donthyphenateclassname;
                break;
            case "minwordlength":
                if (b("minwordlength", "number"))t = a.minwordlength;
                break;
            case "hyphenchar":
                if (b("hyphenchar", "string")) {
                    if (a.hyphenchar === "&shy;")a.hyphenchar = String.fromCharCode(173);
                    p = a.hyphenchar
                }
                break;
            case "urlhyphenchar":
                if (a.hasOwnProperty("urlhyphenchar"))if (b("urlhyphenchar", "string"))S = a.urlhyphenchar;
                break;
            case "togglebox":
                if (b("togglebox", "function"))u = a.togglebox;
                break;
            case "displaytogglebox":
                if (b("displaytogglebox", "boolean"))M = a.displaytogglebox;
                break;
            case "remoteloading":
                if (b("remoteloading", "boolean"))L = a.remoteloading;
                break;
            case "enablecache":
                if (b("enablecache", "boolean"))r = a.enablecache;
                break;
            case "enablereducedpatternset":
                if (b("enablereducedpatternset", "boolean"))B = a.enablereducedpatternset;
                break;
            case "onhyphenationdonecallback":
                if (b("onhyphenationdonecallback", "function"))Q = a.onhyphenationdonecallback;
                break;
            case "onerrorhandler":
                if (b("onerrorhandler", "function"))n = a.onerrorhandler;
                break;
            case "intermediatestate":
                if (b("intermediatestate", "string"))E = a.intermediatestate;
                break;
            case "selectorfunction":
                if (b("selectorfunction", "function"))R = a.selectorfunction;
                break;
            default:
                n(new Error("Hyphenator.config: property " + d + " not known."))
        }
    }, run:function () {
        var a = function () {
            try {
                var b = document.getElementsByTagName("html")[0], d = document.getElementsByTagName("meta"), c, e, f, g, h;
                j = G(b);
                if (!j)for (c = 0; c < d.length; c++) {
                    if (d[c].getAttribute("http-equiv") && d[c].getAttribute("http-equiv") === "content-language")j = d[c].getAttribute("content").substring(0, 2).toLowerCase();
                    if (d[c].getAttribute("name") && d[c].getAttribute("name") === "DC.language")j = d[c].getAttribute("content").substring(0, 2).toLowerCase();
                    if (d[c].getAttribute("name") && d[c].getAttribute("name") === "language")j = d[c].getAttribute("content").substring(0, 2).toLowerCase()
                }
                if (!j) {
                    h = navigator.language ? navigator.language : navigator.userLanguage;
                    h = h.substring(0, 2);
                    e = A.hasOwnProperty(h) ? A[h] : A.en;
                    e += " (ISO 639-1)\n\ncs, da, bn, de, en, es, fi, fr, gu, hi, hu, hy, it, kn, lt, ml, nl, or, pa, pl, pt, ru, sv, ta, te, tr, uk";
                    f = window.prompt(unescape(e), h).toLowerCase();
                    if (z[f])j = f; else {
                        g = new Error('The language "' + f + '" is not yet supported.');
                        throw g;
                    }
                }
                ca();
                ea(Z);
                M && u(true)
            } catch (i) {
                n(i)
            }
        };
        q || ba(window, a);
        if (Hyphenator.isBookmarklet() || q)a()
    }, addExceptions:function (a, b) {
        if (a === "")a = "global";
        if (k.hasOwnProperty[a])k[a] += ", " + b; else k[a] = b
    }, hyphenate:function (a, b) {
        var d, c, e;
        if (Hyphenator.languages.hasOwnProperty(b)) {
            Hyphenator.languages[b].prepared || H(b);
            d = function (f) {
                return O.test(f) ? X(f) : J(b, f)
            };
            if (typeof a === "string" || a.constructor === String)return a.replace(Hyphenator.languages[b].genRegExp, d); else if (typeof a === "object")for (e = 0; c = a.childNodes[e++];)if (c.nodeType === 3 && c.data.length >= t)c.data = c.data.replace(Hyphenator.languages[b].genRegExp, d); else if (c.nodeType === 1) {
                if (c.lang !== "")b = c.lang;
                Hyphenator.hyphenate(c, b)
            }
        } else n(new Error('Language "' + b + '" is not loaded.'))
    }, getRedPatternSet:function (a) {
        return Hyphenator.languages[a].redPatSet
    }, isBookmarklet:function () {
        return N
    }, toggleHyphenation:function () {
        switch (m) {
            case 3:
                for (var a = 0, b; b = o[a++];)Y(b);
                m = 4;
                u(false);
                break;
            case 4:
                Z();
                u(true);
                break
        }
    }}
}();
if (Hyphenator.isBookmarklet()) {
    Hyphenator.config({displaytogglebox:true, intermediatestate:"visible"});
    Hyphenator.run()
}
;